#include <stdio.h>
#include <stdlib.h>

void greska(char *s)
{
	printf("Greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int sedlo(int **mat, int m, int n, int indeks_i, int indeks_j)
{
	//          j
	//    0  1  2  3
	// i->4  5  6  7
	//    8  9 10 11
	int najmanji_u_vrsti = 1;
	int najveci_u_koloni = 1;
	int i, j;
	//najmanji u vrsti
	for (j = 0; j < n; j++)
		if (j == indeks_j)
			continue;
		else
			if (mat[indeks_i][j] <= mat[indeks_i][indeks_j])
				najmanji_u_vrsti = 0;

	//najveci u koloni
	for (i = 0; i < m; i++)
		if (i == indeks_i)
			continue;
		else
			if (mat[i][indeks_j] >= mat[indeks_i][indeks_j])
				najveci_u_koloni = 0;

	return najmanji_u_vrsti && najveci_u_koloni;
}

int main(int argc, char **argv)
{
	int m, n;
	int **mat;
	int i, j;
	if (argc != 3)
		greska("argumenti komandne linije");
	m = atoi(argv[1]);
	n = atoi(argv[2]);
	//PROVERE DA LI JE DOBRO ALOCIRANA MEMORIJA ZA DOMACI
	mat = (int**)malloc(m * sizeof(int*));
	for (i = 0; i < m; i++)
		mat[i] = (int*)malloc(n * sizeof(int));

	for (i = 0; i < m; i++)
		for (j = 0; j < n; j++)
			scanf("%d", &mat[i][j]);

	for (i = 0; i < m; i++)
		for (j = 0; j < n; j++)
			if (sedlo(mat, m, n, i, j))
				printf("sedlo: %d %d\n", i, j);

	for (i = 0; i < m; i++)
		free(mat[i]);
	free(mat);

	system("PAUSE");
	return 0;
}