#include<stdio.h>
#include<stdlib.h>
#include<string.h>
void greska(char *s);
void prebroj(char *niz, int *br_slova,int *br_cifara);
int sadrzi(char *s, int n, char c);
char * unesiSkup(FILE* fu);
int main(int argc, char **argv)
{
	if(argc != 2)
		greska("Pogresan broj argumenata");
	FILE *fu = fopen(argv[1],"r");
	if(fu == NULL)
		greska("Otvaranje datoteke");
		
	char *niz; int n;
	int br_slova; int br_cifara;
	
	niz = unesiSkup(fu);
	prebroj(niz, &br_cifara, &br_slova);
	printf("Broj cifara: %d\nBroj slova: %d\n", br_cifara, br_slova);
	

return 0;
}
void greska(char *s)
{
	printf("Greska: %s\n",s);
	exit(EXIT_FAILURE);
}
char * unesiSkup(FILE* fu)
{
	int temp = 3; int brojac = 0;
	char c; char *niz;
	niz = (char *)malloc(temp * sizeof(char));
	if(niz == NULL){
		greska("Alokacija");
	}
	while((c = fgetc(fu)) != '\n'){ 
		if(!(isdigit(c) || isalpha(c))){
			break;
		}
		if(sadrzi(niz, brojac, c))
			continue;
		niz[brojac] = c;
		brojac++;
		if(brojac == temp){
			temp *= 2;
			niz = (char *)realloc(niz, temp * sizeof(char));
			if(niz == NULL){
				greska("Alokacija");
			}
		}
	}
	
	niz[brojac] = '\0';
	return niz;
}
void prebroj(char *niz, int *br_slova,int *br_cifara)
{
	int i;
	*br_cifara = 0;
	*br_slova = 0;
	for(i = 0; niz[i]; i++){
		if(isdigit(niz[i]))
			(*br_slova)++;
		if(isalpha(niz[i]))
			(*br_cifara)++;
	}

}
int sadrzi(char *s, int n, char c)
{
	int i;
	for(i = 0; i < n; i++){
		if(s[i] == c)
			return 1;
	}
	return 0;
}