/* 7. Zadatak/3. nedelja */
#include<stdio.h>
#include<stdlib.h>
void greska(char *s);
void unesi_matricu(int** matrica, int dimenzija1, int dimenzija2);
void ispisi_matricu(int **matrica, int dimenzija1, int dimenzija2);
int main(int argc, char** argv)
{
	if(argc != 3){
		greska("Pogresni argumenti");
	}
	int i; int j;
	int dimenzija1 = atoi(argv[1]);
	int dimenzija2 = atoi(argv[2]);
	int** matrica = malloc(dimenzija1 * sizeof(int *));
	for(i = 0; i < dimenzija1; i++){
		matrica[i] = (int*)malloc(dimenzija2 * sizeof(int));
		if(matrica[i] == NULL){
			greska("Alokacija memorije za matricu");
		}
	}
	unesi_matricu(matrica, dimenzija1, dimenzija2);
	ispisi_matricu(matrica, dimenzija1, dimenzija2);
	
	for(i = 0; i < dimenzija1; i++){
		free(matrica[i]);
	}
	free(matrica);
	return 0;
}
void greska(char *s)
{
	printf("Greska: %s\n", s);
	exit(EXIT_FAILURE);
}
void unesi_matricu(int** matrica, int dimenzija1, int dimenzija2)
{
	int i; int j;
	printf("Unesi matricu: \n");
	
	for(i = 0; i < dimenzija1; i++){
		for(j = 0; j < dimenzija2; j++){
			scanf("%d", &matrica[i][j]);
		}
	}
}
void ispisi_matricu(int **matrica, int dimenzija1, int dimenzija2)
{
	int i; int j; 
	
	int i_gornja_granica = 0;
	int i_donja_granica = dimenzija1 - 1;
	int j_leva_granica = 0;
	int j_desna_granica = dimenzija2 - 1;
	
	while(1)
	{
		//krecemo se u desno
		if(j_leva_granica > j_desna_granica)
			break;
		
		i = i_gornja_granica;
		j = j_leva_granica;
		while(j <= j_desna_granica)
		{
			printf("%d ", matrica[i][j]);
			j++;
		}
		i_gornja_granica++;
		
		//kracemo se na dole
		if(i_gornja_granica > i_donja_granica)
			break;
		
		i = i_gornja_granica;
		j = j_desna_granica;
		while(i <= i_donja_granica)
		{
			printf("%d ", matrica[i][j]);
			i++;
		}
		j_desna_granica--;
		
		//krecemo se u levo
		if(j_leva_granica > j_desna_granica)
			break;
		
		i = i_donja_granica;
		j = j_desna_granica;
		while(j >= j_leva_granica)
		{
			printf("%d ", matrica[i][j]);
			j--;
		}
		i_donja_granica--;
		
		//krecemo se ka gore
		if(i_gornja_granica > i_donja_granica)
			break;
		i = i_donja_granica;
		j = j_leva_granica;
		while(i >= i_gornja_granica)
		{
			printf("%d ", matrica[i][j]);
			i--;
		}
		j_leva_granica++;
	}
}