#include <stdio.h>
#include <stdlib.h>

void greska(char *s)
{
	printf("Greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int main()
{
	int x;
	int n = 0;
	int *niz = NULL;
	int *temp;
	int **m;
	int i, j;
	while (1)
	{
		scanf("%d", &x);
		if (x == 0)
			break;
		n++;
		temp = (int*)realloc(niz, n * sizeof(int));
		if (temp == NULL)
		{
			free(niz);
			greska("realokacija");
		}
		niz = temp;
		niz[n - 1] = x;
	}

	m = (int**)malloc(n * sizeof(int*));
	if (m == NULL)
		greska("alokacija");
	for (i = 0; i < n; i++)
	{
		m[i] = (int*)malloc(n * sizeof(int));
		if (m[i] == NULL)
			greska("alokacija");
	}
	//kraj ucitavanja i alokacije

	for (i = 0; i < n; i++)
		for (j = 0; j < n; j++)
			m[i][j - i >= 0 ? j - i : j - i + n] = niz[j];

	for (i = 0; i < n; i++)
	{
		for (j = 0; j < n; j++)
		{
			printf("%d ", m[i][j]);
		}
		printf("\n");
	}

	free(niz);
	for (i = 0; i < n; i++)
		free(m[i]);
	free(m);

	system("PAUSE");
	return 0;
}